/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.scan.api;

import java.net.URL;

/**
 * This class is used to localize class bytecode.
 * @author Gael Lalire
 */
public interface IClassesLocator {

    /**
     * @param className the class name you need URL
     * @return null if class is not localizable else the url of the class
     * @throws ScanException if an error occurs
     */
    URL getClassURL(String className) throws ScanException;
}
