/**
 * Copyright 2006-2012 Bull S.A.S.
 * Copyright 2013 Peergreen S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.scan.api.configurator;

import org.ow2.util.scan.api.metadata.IFieldMetadata;
import org.ow2.util.scan.api.metadata.IMethodMetadata;

/**
 * ClassConfigurator.
 * @author Gael Lalire
 * @author Florent Benoit
 */
public interface IClassConfigurator extends ICommonConfigurator {

    /**
     * @param jMethod method signature
     * @return a method configurator
     */
    IMethodConfigurator createMethodConfigurator(final IMethodMetadata methodMetadata);

    /**
     * @param jField field signature
     * @return a field configurator
     */
    IFieldConfigurator createFieldConfigurator(final IFieldMetadata fieldMetadata);

}
