/**
 * Copyright 2013 Peergreen S.A.S.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ow2.util.scan.api.metadata;

import java.util.Collection;

/**
 * Defines a collection of classmetadata
 * @author Florent Benoit
 */
public interface ICollectionClassMetadata extends IMetadata {

    /**
     * Get class annotation metadata.
     * @param className key of the map of annotations bean.
     * @return class annotation metadata of a given name.
     */
    IClassMetadata getClassMetadata(final String className);

    /**
     * Get collections of annotation metadata.
     * @return collections of class annotation metadata.
     */
    Collection<IClassMetadata> getClassMetadataCollection();
}
