/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.scan.impl;

import org.ow2.util.asm.Type;
import org.ow2.util.scan.api.IType;

/**
 * Type proxy.
 * @author Gael Lalire
 */
public class TypeImpl implements IType {

    /**
     * The ow2 util asm type.
     */
    private Type type;

    /**
     * @param type the ow2 util asm type.
     */
    public TypeImpl(final Type type) {
        this.type = type;
    }

    /**
     * @return the class name.
     */
    public String getClassName() {
        return type.getClassName();
    }

    /**
     * {@inheritDoc}
     */
    public String getInternalName() {
        return type.getInternalName();
    }

}
