/**
 * Copyright 2013 Peergreen S.A.S.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ow2.util.scan.impl.metadata;

import org.ow2.util.scan.api.metadata.structures.IMember;

/**
 * Common APi for all Class/Method/Field
 * @author Florent Benoit
 */
public class JMember implements IMember {

    /**
     *
     */
    private static final long serialVersionUID = 2593281064238249944L;

    /**
     * name.
     */
    private String name;

    /**
     * access.
     */
    private int access;

    /**
     * signature.
     */
    private String signature;


    /**
     * @return name
     */
    @Override
    public String getName() {
        return name;
    }

    /**
     * @return access
     */
    @Override
    public int getAccess() {
        return access;
    }

    /**
     * @return signature
     */
    @Override
    public String getSignature() {
        return signature;
    }

    /**
     * Defines the name of this member.
     * @param name the given name
     */
    public void setName(final String name) {
        this.name = name;
    }

    public void setAccess(int access) {
        this.access = access;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    /**
     * @return name hascode
     */
    @Override
    public int hashCode() {
        return name.hashCode();
    }
}
