/**
 * Copyright 2013 Peergreen S.A.S.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ow2.util.scan.impl;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.ElementType.TYPE;

import org.ow2.util.scan.api.IAnnotationVisitorContext;
import org.ow2.util.scan.api.annotation.VisitorTarget;
import org.ow2.util.scan.api.annotation.VisitorType;
import org.ow2.util.scan.api.visitor.DefaultAnnotationVisitor;

@VisitorTarget({TYPE, METHOD, FIELD})
@VisitorType("org.ow2.util.scan.impl.MyDummyAnnotation")
public class MyDummyAnnotationVisitor extends DefaultAnnotationVisitor<MyDummyAnnotationStruct> {

    @Override
    public void visit(String name, Object value, IAnnotationVisitorContext<MyDummyAnnotationStruct> visitorContext) {

        MyDummyAnnotationStruct myDummyAnnotationStruct = visitorContext.getLocal();

        if ("value".equals(name)) {
            myDummyAnnotationStruct.setValue((String) value);
        } else if ("testValue".equals(name)) {
            myDummyAnnotationStruct.setTestValue((String) value);
        }

    }

    @Override
    public void visitEnd(IAnnotationVisitorContext<MyDummyAnnotationStruct> visitorContext) {
        visitorContext.set(visitorContext.getLocal());
    }

    @Override
    public MyDummyAnnotationStruct buildInstance() {
        return new MyDummyAnnotationStruct();
    }

}
